Bug 814952 - transaction check vs depsolve (abiword install)
transaction check vs depsolve (abiword install)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 10:38 EDT by koshka-lev
Modified: 2014-01-21 18:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 08:48:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description koshka-lev 2012-04-21 10:38:04 EDT
Description of problem:
ERROR with transaction check vs depsolve:
coreutils is needed by t1lib-5.1.2-9.fc16.i686
Please report this error at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum

Version-Release number of selected component (if applicable):


How reproducible:
install abiword through add-remove software

Steps to Reproduce:
1.open add remove software
2.type abiword
3.install abiword
  
Actual results:
error

Expected results:
no error

Additional info: acer aspire ine zg5
Comment 1 koshka-lev 2012-04-21 10:54:53 EDT
@localhost ~]$ sudo yum install abiword
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package abiword.i686 1:2.8.6-14.fc16 will be installed
--> Processing Dependency: libabiword = 1:2.8.6-14.fc16 for package: 1:abiword-2.8.6-14.fc16.i686
--> Processing Dependency: libwv-1.2.so.4 for package: 1:abiword-2.8.6-14.fc16.i686
--> Processing Dependency: libabiword-2.8.so for package: 1:abiword-2.8.6-14.fc16.i686
--> Running transaction check
---> Package libabiword.i686 1:2.8.6-14.fc16 will be installed
--> Processing Dependency: libt1.so.5 for package: 1:libabiword-2.8.6-14.fc16.i686
--> Processing Dependency: libmathview_frontend_libxml2.so.0 for package: 1:libabiword-2.8.6-14.fc16.i686
--> Processing Dependency: libmathview.so.0 for package: 1:libabiword-2.8.6-14.fc16.i686
--> Processing Dependency: libAiksaurusGTK-1.2.so.0 for package: 1:libabiword-2.8.6-14.fc16.i686
--> Processing Dependency: liblink-grammar.so.4 for package: 1:libabiword-2.8.6-14.fc16.i686
--> Processing Dependency: libAiksaurus-1.2.so.0 for package: 1:libabiword-2.8.6-14.fc16.i686
--> Processing Dependency: libloudmouth-1.so.0 for package: 1:libabiword-2.8.6-14.fc16.i686
--> Processing Dependency: libots-1.so.0 for package: 1:libabiword-2.8.6-14.fc16.i686
---> Package wv.i686 0:1.2.9-2.fc15 will be installed
--> Running transaction check
---> Package aiksaurus.i686 1:1.2.1-22.fc15 will be installed
---> Package aiksaurus-gtk.i686 1:1.2.1-22.fc15 will be installed
---> Package gtkmathview.i686 0:0.8.0-6.fc13 will be installed
--> Processing Dependency: lyx-fonts for package: gtkmathview-0.8.0-6.fc13.i686
---> Package link-grammar.i686 0:4.7.4-1.fc16.1 will be installed
--> Processing Dependency: libaspell.so.15 for package: link-grammar-4.7.4-1.fc16.1.i686
---> Package loudmouth.i686 0:1.4.3-8.fc15 will be installed
---> Package ots-libs.i686 0:0.5.0-4.fc15 will be installed
---> Package t1lib.i686 0:5.1.2-9.fc16 will be installed
--> Running transaction check
---> Package aspell.i686 12:0.60.6-15.fc16 will be installed
---> Package lyx-fonts.noarch 0:2.0.3-1.fc16 will be installed
--> Finished Dependency Resolution
--> Running transaction check
---> Package aspell-en.i686 50:7.1-2.fc15 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package             Arch         Version                   Repository     Size
================================================================================
Installing:
 abiword             i686         1:2.8.6-14.fc16           fedora        1.1 M
 aspell-en           i686         50:7.1-2.fc15             fedora        1.1 M
Installing for dependencies:
 aiksaurus           i686         1:1.2.1-22.fc15           fedora        320 k
 aiksaurus-gtk       i686         1:1.2.1-22.fc15           fedora         28 k
 aspell              i686         12:0.60.6-15.fc16         fedora        628 k
 gtkmathview         i686         0.8.0-6.fc13              fedora        605 k
 libabiword          i686         1:2.8.6-14.fc16           fedora        4.3 M
 link-grammar        i686         4.7.4-1.fc16.1            fedora        539 k
 loudmouth           i686         1.4.3-8.fc15              fedora         73 k
 lyx-fonts           noarch       2.0.3-1.fc16              updates       163 k
 ots-libs            i686         0.5.0-4.fc15              fedora         44 k
 t1lib               i686         5.1.2-9.fc16              updates       151 k
 wv                  i686         1.2.9-2.fc15              fedora        248 k

Transaction Summary
================================================================================
Install  2 Packages (+11 Dependent packages)

Total size: 9.3 M
Installed size: 9.6 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
error: rpmdbNextIterator: skipping h#    1329 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
ERROR with transaction check vs depsolve:
coreutils is needed by t1lib-5.1.2-9.fc16.i686
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
Comment 2 James Antill 2012-04-23 08:48:46 EDT
> error: rpmdbNextIterator: skipping h#    1329 Header V3 RSA/SHA256 Signature,
key ID a82ba4b7: BAD

This is worrying ... and it's very unlikely that you don't have coreutils installed (as yum needs it, IIRC).

You can try rpm --rebuilddb.

Note You need to log in before you can comment on or make changes to this bug.